new file mode 100755
@@ -0,0 +1,39 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-3.0+
+# Copyright (C) 2024 Yu Kuai
+#
+# Test bps limit with iops limit over io split
+
+. tests/throtl/rc
+
+DESCRIPTION="bps limit with iops limit over io split"
+QUICK=1
+
+test() {
+ echo "Running ${TEST_NAME}"
+
+ if ! _set_up_throtl max_sectors=8; then
+ return 1;
+ fi
+
+ local bps_limit=$((1024 * 1024))
+ local iops_limit=1000000
+
+ # just set bps limit first
+ _throtl_set_limits wbps=$bps_limit
+ _throtl_test_io write 1M 1 &
+ _throtl_test_io write 1M 1 &
+ wait
+ _throtl_remove_limits
+
+ # set the same bps limit and a high iops limit
+ # should behave the same as no iops limit
+ _throtl_set_limits wbps=$bps_limit wiops=$iops_limit
+ _throtl_test_io write 1M 1 &
+ _throtl_test_io write 1M 1 &
+ wait
+ _throtl_remove_limits
+
+ _clean_up_throtl
+ echo "Test complete"
+}
new file mode 100644
@@ -0,0 +1,6 @@
+Running throtl/008
+1
+2
+1
+2
+Test complete